CVE-2019-7637

NameCVE-2019-7637
DescriptionSDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a heap-based buffer overflow in SDL_FillRect in video/SDL_surface.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1713-1, DLA-1714-1
NVD severitymedium
Debian Bugs924609, 924610

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libsdl1.2 (PTS)jessie1.2.15-10vulnerable
jessie (security)1.2.15-10+deb8u2fixed
stretch1.2.15+dfsg1-4vulnerable
buster1.2.15+dfsg2-4vulnerable
bullseye, sid1.2.15+dfsg2-5fixed
libsdl2 (PTS)jessie2.0.2+dfsg1-6vulnerable
jessie (security)2.0.2+dfsg1-6+deb8u2fixed
stretch2.0.5+dfsg1-2vulnerable
buster2.0.9+dfsg1-1fixed
bullseye, sid2.0.10+dfsg1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libsdl1.2source(unstable)1.2.15+dfsg2-5924609
libsdl1.2sourcejessie1.2.15-10+deb8u1DLA-1713-1
libsdl2source(unstable)2.0.6+dfsg1-4924610
libsdl2sourcejessie2.0.2+dfsg1-6+deb8u1DLA-1714-1

Notes

[buster] - libsdl1.2 <no-dsa> (Minor issue)
[stretch] - libsdl1.2 <no-dsa> (Minor issue)
[stretch] - libsdl2 <no-dsa> (Minor issue)
https://bugzilla.libsdl.org/show_bug.cgi?id=4497
https://hg.libsdl.org/SDL/rev/9b0e5c555c0f (SDL-1.2)
https://hg.libsdl.org/SDL/rev/32075e9e2135 (SDL-1.2)
Patch causes regressions for some applications/games:
https://bugzilla.suse.com/show_bug.cgi?id=1124825
https://hg.libsdl.org/SDL/rev/81a4950907a0 (SDL-2)
For SDL-2 the fix for CVE-2017-2888 fixes as well CVE-2019-7637.

Search for package or bug name: Reporting problems